Bug 166247 - up2date can't install i386 packages on x86_64 system with depends
up2date can't install i386 packages on x86_64 system with depends
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-18 06:21 EDT by Thomas Poindessous
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Poindessous 2005-08-18 06:21:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
On a RHES3 x86_64 U5, I can't install, with full dependancies tracking, a i386 package.

I must do an update --get and then resolve myself the dependancies.


Version-Release number of selected component (if applicable):
up2date-4.2.57-2

How reproducible:
Always

Steps to Reproduce:
1. up2date --showall | grep gpm | grep i386
2. up2date -i gpm-1.19.3-27.2.i386
The following packages you requested were not found:
gpm-1.19.3-27.2.i386

3. up2date --get gpm-1.19.3-27.2.i386
gpm-1.19.3-27.2.i386.rpm...
########################################

4. rpm -ivh /var/spool/up2date/gpm-1.19.3-27.2.i386.rpm /var/spool/up2date/ncurses-5.3-9.4.i386.rpm
  

Actual Results:  I got my package installed after a manual dependancies tracking

Expected Results:  I should just do "update ncurses.i386 gpm.i386"

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:55:55 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.